/* File: reverse.cpp
 *
 * Code to recursively reverse a string.
 */
#include <iostream>
#include <string>
#include "simpio.h"
using namespace std;

string reverseString(string line);

int main() {
	string line = getLine("Enter a string: ");
	cout << reverseString(line) << endl;
}

/* Returns the reverse of the indicated string. */
string reverseString(string line) {
	/* If the string is empty, it's its own reverse */
	if (line == "") {
		return "";
	}
	/* Otherwise, reverse all but the first character, then tack
	 * on the first character.
	 */
	else {
		return reverseString(line.substr(1)) + line[0];
	}
}




